/*
 * This is part of Geomajas, a GIS framework, http://www.geomajas.org/.
 *
 * Copyright 2008-2013 Geosparc nv, http://www.geosparc.com/, Belgium.
 *
 * The program is available in open source according to the GNU Affero
 * General Public License. All contributions in this program are covered
 * by the Geomajas Contributors License Agreement. For full licensing
 * details, see LICENSE.txt in the project root.
 */

package org.geomajas.puregwt.client.map.layer;

import org.geomajas.puregwt.client.gfx.HtmlContainer;
import org.geomajas.puregwt.client.map.render.MapScalesRenderer;

/**
 * Extension interface for layer types that wish to define their own renderer.
 * 
 * @author Pieter De Graef
 */
public interface HasMapScalesRenderer {

	/**
	 * Return the specific renderer for the layer.
	 * 
	 * @param container
	 *            The container wherein the renderer should attach its content.
	 * @return The layer specific renderer.
	 */
	MapScalesRenderer getRenderer(HtmlContainer container);
}